# coding=utf-8
class VariableType(object):
    MEAN = 1
    STATISTIC = 2

    @staticmethod
    def to_str(vartype):
        if vartype == VariableType.MEAN:
            return 'mean'
        elif vartype == VariableType.STATISTIC:
            return 'statistics'
        else:
            raise ValueError('Variable type {0} not supported'.format(vartype))
