# coding=utf-8
from unittest import TestCase

from earthdiagnostics.variable_type import VariableType


class TestVariableType(TestCase):

    def test_mean(self):
        self.assertEqual(VariableType.to_str(VariableType.MEAN), 'mean')

    def test_statistics(self):
        self.assertEqual(VariableType.to_str(VariableType.STATISTIC), 'statistics')

    def test_bad_one(self):
        with self.assertRaises(ValueError):
            VariableType.to_str('bad type')



